## org.apache.lucene.search
Class RemoteCachingWrapperFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.RemoteCachingWrapperFilter

All Implemented Interfaces:
  Serializable

Deprecated. This package (all of contrib/remote) will be removed in 4.0.

    @Deprecated
    public class RemoteCachingWrapperFilter

extends org.apache.lucene.search.Filter

Provides caching of `Filter`s themselves on the remote end of an RMI connection. The cache is keyed on Filter's hashCode(), so if it sees the same filter twice it will reuse the original version.

NOTE: This does NOT cache the Filter bits, but rather the Filter itself. Thus, this works hand-in-hand with `CachingWrapperFilter` to keep both file Filter cache and the Filter bits on the remote end, close to the searcher.

Usage:

To cache a result you must do something like RemoteCachingWrapperFilter f = new RemoteCachingWrapperFilter(new CachingWrapperFilter(myFilter));

See Also:
  Serialized Form

Field Summary
`protected org.apache.lucene.search.Filter` `filter` Deprecated.

Constructor Summary
`RemoteCachingWrapperFilter(org.apache.lucene.search.Filter filter)` Deprecated.

Method Summary
`org.apache.lucene.search.DocIdSet` `getDocIdSet(org.apache.lucene.index.IndexReader reader)` Deprecated. Uses the `FilterManager` to keep the cache for a filter on the searcher side of a remote connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected org.apache.lucene.search.Filter filter

  Deprecated.

Constructor Detail

### RemoteCachingWrapperFilter

    public RemoteCachingWrapperFilter(org.apache.lucene.search.Filter filter)

  Deprecated.

Method Detail

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws IOException

  Deprecated.
  Uses the `FilterManager` to keep the cache for a filter on the searcher side of a remote connection.

  Specified by:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Parameters:
    `reader` - the index reader for the Filter
  Returns:
    the DocIdSet
  Throws:
    `IOException`